Subject: Re: bug#75018: 30.0.93; Dired icon missing in tool-bar

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Dec 2024 20:45:06 +0200

> From: Stephen Berman <[email-masked]>
> Cc: "john muhl" <[email-masked]>,  [email-masked]
> Date: Sun, 22 Dec 2024 19:15:43 +0100
> 
> On Sun, 22 Dec 2024 18:40:45 +0200 Eli Zaretskii <[email-masked]> wrote:
> 
> >> Date: Sun, 22 Dec 2024 09:32:23 -0600
> >> From: "john muhl" <[email-masked]>
> >> Cc: [email-masked]
> [...]
> >> > Can you post the Dired icon file from where your build takes them?
> >>
> >> Unfortunately I can't find those particular icons among the ~7000
> >> icons in the /usr/share/icons/ directory but they're probably in
> >> there somewhere.
> >
> > If you run Emacs under GDB with a breakpoint in lookup_image, you
> > should see all the tool-bar icons being loaded during startup.  You
> > can use the following GDB commands for the breakpoint, to see when the
> > icon you are interested in gets loaded:
> >
> >   pp spec
> >
> > This should show you the full absolute file name of the icon file
> > Emacs is loading.
> 
> When I do that it shows that all the icon files are from etc/images in
> the Emacs source tree and are xpm files.  However, the icons actually
> displayed are the same as in screenshots John Muhl posted, except that I
> also have an icon for the `dired' command.  This icon is located at
> /usr/share/icons/gnome/24x24/places/folder.png (or possibly a different
> size) on my system.  The other icons (which are the same as in John's
> screenshots) are located under /usr/share/icons/Adwaita/symbolic here;
> there is also an icon there that looks similar to the folder.png icon
> used for `dired' but matches the look of the other icons, so I wonder
> why Emacs uses an icon from a different set of icons in this case.  My
> system is GNU/Linux with the Gtk3 toolkit and Xfce4 desktop.  It seems
> that the Gtk3 build overrides the icons provided by Emacs, but not in a
> completely consistent way.

The reason I asked about the file is because we should try to
understand why it is not shown as expected.  If this is the result of
upgrading the system, it would be good to know how did this particular
icon file change as result of the upgrade, and why that caused the
display to fail.